<template>
  <component :is="tag" :class="$style['heading']">
    <slot />
  </component>
</template>

<script lang="ts">
import {
  defineComponent,
} from "@nuxtjs/composition-api";

export default defineComponent({
  name: "AmsHeading",

  props: {
    tag: {
      type: String,
      default: "h2",
    },
  },
});
</script>

<style lang="postcss" module>
.heading {
  margin-bottom: 10px;

  @apply flex-auto leading-none text-base font-semibold;

  @screen sm {
    @apply text-lg;
  }
}
</style>
